> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Custom Amendment Items

> Request changes using custom amendment item types for non-standard data points

## Custom amendment items

Custom amendment items are used when you request changes that:

* Involve data points not supported or not available in the standard amendment flow.
* Modify general employment agreement wording for active contracts.
* Include other ad-hoc or unique change requests not covered by standard items.

Once the amendment is confirmed, these custom items are reviewed by internal Deel teams.

### Lifecycle and behavior

* Custom amendment items are part of an amendment, just like standard amendment items, and therefore follow the same overall amendment lifecycle:\
  `created → confirmed → reviewed`

* Custom items also have a separate internal lifecycle. They have their own statuses and can be approved or rejected independently of the overall amendment.

* If an amendment includes both standard and custom items, and only the custom items are rejected, the amendment may still proceed with the standard changes.

* Exception: If the amendment contains only custom items and they are rejected, the entire amendment will be rejected.

### Custom amendment item types

If a specific data point is not available in the standard amendment flow, you can use one of the predefined custom item types to request the change. These types represent the area of the contract or employment terms you want to amend:

| Type                     | Description                                                           |
| ------------------------ | --------------------------------------------------------------------- |
| `START_DATE`             | Request to change the employee’s contract start date.                 |
| `END_DATE`               | Request to update the employee’s contract end date.                   |
| `BENEFITS`               | Add or update benefits such as health insurance or allowances.        |
| `PROBATION_PERIOD`       | Update the probation period length or terms.                          |
| `VARIABLE_COMPENSATIONS` | Adjust variable pay components such as bonuses or commissions.        |
| `INCENTIVE_PLAN`         | Modify or add incentive plans.                                        |
| `SALARY`                 | Request a change to the base salary.                                  |
| `FIXED_ALLOWANCES`       | Add or update fixed allowances, for example bonus or housing.         |
| `JOB_TITLE`              | Change the employee’s official job title.                             |
| `SENIORITY_ID`           | Update job seniority level.                                           |
| `SENIORITY_DATE`         | Update the date of previous employment before the employee transfers. |
| `JOB_CODE`               | Update the internal job code classification.                          |
| `JOB_CATEGORY`           | Reclassify into a different internal job category.                    |
| `JOB_SCOPE`              | Change the scope of responsibilities in the role.                     |
| `EMPLOYMENT_TYPE`        | Update employment type, for example full-time or part-time.           |
| `PERSONAL_DATA`          | Request updates to employee personal information.                     |
| `OTHER`                  | For unique or ad-hoc requests not covered by the predefined types.    |

> **Note**
>
> Use the `OTHER` custom amendment type for ad-hoc or unique changes that are not covered by the predefined types.

Here is a request example for custom items with amendment:

```shell
curl --location -g --request POST '{{host}}/rest/eor/contracts/{{contract_id}}/amendments' \
--header 'Authorization: Bearer {{token}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "data": {
        "time_off_type": "SPECIFIC",
        "holidays": 12,
        "employment_type": "PART_TIME",
        "custom": [
          {
            "description": "Change start date to the 1st of November 2026",
            "type": "START_DATE"
          },
          {
            "description": "Add fixed allowances to the contract with these details.",
            "type": "FIXED_ALLOWANCES"
          },
          {
            "description": "Change the contract term to Part time",
            "type": "OTHER"
          }
        ]
    }
}'
```